.sapUiRb {
	vertical-align: top;
	line-height: @sapUiLineHeight;
	display: inline-block;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

/* If control is used on black/dark background */
.sapUiInverted-CTX .sapUiRb {
	color: @sapUiTextInverted;
}

/* Do not invert for table */
.sapUiInverted-CTX .sapUiTable .sapUiRb {
	color: @sapUiBaseText;
}

.sapUiRb > label {
	vertical-align: top;
	height: @sapUiLineHeight;
}

.sapUiRb:hover > label {
	position: static;  /* IE11 bug: even though "static" is the default, we need to make SOME change to make background-position work */
}

/* disabled */
.sapUiRbDis > label {
	color: @sapUiContentDisabledTextColor;
}

/* make outline on control borders because otherwise it is cut in layout containers using overflow: hidden */
.sapUiRb:focus{
	outline: 1px dotted @sapUiBaseBorder;
	outline-offset: -1px;
}

html[data-sap-ui-browser^="ie"] .sapUiRb:focus{
	outline: none;
	position: relative; /* otherwise the Border is not displayed */
}

html[data-sap-ui-browser^="ie"] .sapUiRb:focus:after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	display: block;
	border: 1px dotted @sapUiBaseBorder;
	pointer-events: none;
}